Subject: Re: [RFC net-next 0/2] Create ancient subdirectories for old hardware

From: Joe Perches <[email-masked]>
Date: Sat, 19 Mar 2016 08:36:32 -0700

On Fri, 2016-03-18 at 23:16 -0400, David Miller wrote:
> From: Joe Perches <[email-masked]> Date: Fri, 18 Mar 2016 19:28:02 -0700
> > On Fri, 2016-03-18 at 22:11 -0400, David Miller wrote:
> >> From: Joe Perches <[email-masked]> Date: Fri, 18 Mar 2016 17:33:29 -0700
> >> > Maybe something like this: 
> >> > Old, rare, and unsupported hardware should be exposed as ancient.
> >> > 
> >> > The drivers for these ancient hardwares are generally untested with
> >> > current kernels.
> >> 
> >> Moving drivers has a long term maintainence cost.
> >> 
> >> If they've moved into drivers/net proper, we have to maintain
> >> them there forever.
> > 
> > I don't doubt that.

Actually I rather do kind of doubt that.

Look for instance at what's proposed now for drivers/isdn
which realistically, could have been in drivers/net.

Also, various bits of hardware support have already been
dropped from drivers/net.  The 3c503, ni52 and others 
come to mind. Token Ring support too.

Today, I expect there aren't many Packet Engines devices,
either hamachi or yellowfin, still being used, especially
with kernel versions > 4.

> > All files are still in drivers/net, just possibly in
> > separate subdirectories for easier visibility to
> > determine if changes like what were proposed for cxgb
> > should actually be done or not.
> 
> You don't understand my concern, backporting patches to -stable
> releases is more painful if you move the driver anywhere other
> than where it has been for years.
> 
> I'm not entertaining this idea, sorry Joe.

I do understand your concern.  Backporting patches to obsolete
hardware shouldn't much be necessary as obsolete hardware,
as you wrote yourself, simply doens't get much testing.

Archaic stuff should eventually get sifted out altogether.

Marking drivers as archaic at least allows people that use
use the older devices to object and maybe actually step up
to maintain them too.